Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.soap
Interface SOAPBody

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable, javax.wsdl.extensions.soap.SOAPBody, WSDLElement

    public interface SOAPBody

extends ExtensibilityElement, javax.wsdl.extensions.soap.SOAPBody

A representation of the model object 'Body'.

The following features are supported:

- `Use`
- `Namespace URI`
- `EEncoding Styles`
- `EParts`

See Also:
  `SOAPPackage.getSOAPBody()`

Method Summary
`EList` | `getEEncodingStyles()` Returns the value of the 'EEncoding Styles' attribute list.
`EList` | `getEParts()` Returns the value of the 'EParts' reference list.
`java.lang.String` | `getNamespaceURI()` Returns the value of the 'Namespace URI' attribute
`java.lang.String` | `getUse()` Returns the value of the 'Use' attribute
`void` | `setNamespaceURI(java.lang.String value)` Sets the value of the '`Namespace URI`' attribute
`void` | `setUse(java.lang.String value)` Sets the value of the '`Use`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.soap.SOAPBody
`getEncodingStyles, getParts, setEncodingStyles, setParts`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getUse

    java.lang.String getUse()

  Returns the value of the 'Use' attribute.

  If the meaning of the 'Use' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getUse` in interface `javax.wsdl.extensions.soap.SOAPBody`
  Returns:
    the value of the 'Use' attribute.
  See Also:
    `setUse(String)`, `SOAPPackage.getSOAPBody_Use()`

### setUse

    void setUse(java.lang.String value)

  Sets the value of the '`Use`' attribute.

  Specified by:
    `setUse` in interface `javax.wsdl.extensions.soap.SOAPBody`
  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `getUse()`

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns the value of the 'Namespace URI' attribute.

  If the meaning of the 'Namespace URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNamespaceURI` in interface `javax.wsdl.extensions.soap.SOAPBody`
  Returns:
    the value of the 'Namespace URI' attribute.
  See Also:
    `setNamespaceURI(String)`, `SOAPPackage.getSOAPBody_NamespaceURI()`

### setNamespaceURI

    void setNamespaceURI(java.lang.String value)

  Sets the value of the '`Namespace URI`' attribute.

  Specified by:
    `setNamespaceURI` in interface `javax.wsdl.extensions.soap.SOAPBody`
  Parameters:
    `value` - the new value of the 'Namespace URI' attribute.
  See Also:
    `getNamespaceURI()`

### getEEncodingStyles

    EList getEEncodingStyles()

  Returns the value of the 'EEncoding Styles' attribute list. The list contents are of type `String`.

  If the meaning of the 'EEncoding Styles' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EEncoding Styles' attribute list.
  See Also:
    `SOAPPackage.getSOAPBody_EEncodingStyles()`

### getEParts

    EList getEParts()

  Returns the value of the 'EParts' reference list. The list contents are of type `Part`.

  If the meaning of the 'EParts' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EParts' reference list.
  See Also:
    `SOAPPackage.getSOAPBody_EParts()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD